Package com.orchestranetworks.ui

# Interface UITableFilterResponseContext

All Superinterfaces:
  `UIBodyWriter`, `UIComponentWriter`, `UIDependencyRegisterer`, `UIJavaScriptWriter`, `UIResourceLocator`, `UISessionContext`, `UITableFilterContext`

public interface UITableFilterResponseContext extends UITableFilterContext, UIComponentWriter
Encapsulates an HTTP request in order to display a table filter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HttpServletRequest`
  `getHttpRequest()`
  Returns the HTTP request corresponding to the current response.
  `UIRenderingMode`
  `getRenderingMode()`
  Returns the current rendering mode (`edit` or `print`).
  `AdaptationTable`
  `getTable()`
  Returns the current table.
  `AdaptationFilter`
  `getTableFilter()`
  Returns the filter currently set on the table, `null` if no filter has been set.
  `Object`
  `getValue(Path aPath)`
  Returns the value at the specified path.
  `ValueContext`
  `getValueContext()`
  Returns the value context of the current node.
  `ValueContext`
  `getValueContext(Path aPath)`
  Returns the validation context of the specified node.

  ### Methods inherited from interface com.orchestranetworks.ui.UIBodyWriter

  `add, add, add, add_cr, add_cr, addSafeAttribute, addSafeAttribute, addSafeInnerHTML, addSafeInnerHTML`

  ### Methods inherited from interface com.orchestranetworks.ui.UIComponentWriter

  `addButtonHelp, addButtonJavaScript, addButtonJavaScriptToggle, addUILabel, addUserAvatar, buildButtonPreview, buildButtonPreview, buildButtonPreview, endBorder, endExpandCollapseBlock, endFormGroup, endFormRow, endTableFormRow, newExpandCollapseBlock, newFormGroup, newFormRow, startBorder, startBorder, startBorder, startExpandCollapseBlock, startExpandCollapseBlock, startFormGroup, startFormGroup, startFormRow, startFormRow, startFormRow, startFormRow, startTableFormRow`

  ### Methods inherited from interface com.orchestranetworks.ui.UIDependencyRegisterer

  `addJavaScriptDependency`

  ### Methods inherited from interface com.orchestranetworks.ui.UIJavaScriptWriter

  `addJS, addJS_addResizeWorkspaceListener, addJS_cr, addJS_cr, addJS_openPreviewImage, addJS_openPreviewImageFromVar, addJS_setButtonDisabled, addJS_setExpandCollapseBlockExpanded, addJS_setStateToToggleButton, addJS_switchToPerspective, addJS_switchToPerspectiveAction`

  ### Methods inherited from interface com.orchestranetworks.ui.UIResourceLocator

  `createWebComponentForRootSession, createWebComponentForSubSession, getURLForAjaxComponent, getURLForAjaxComponent, getURLForPerspectiveSelection, getURLForPerspectiveSelection, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForRest, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForViewSelection`

  ### Methods inherited from interface com.orchestranetworks.ui.UISessionContext

  `getLocale, getSession`

  ### Methods inherited from interface com.orchestranetworks.ui.UITableFilterContext

  `getCustomViewContext, getNode, getSession`

- ## Method Details

  - ### getHttpRequest

    HttpServletRequest getHttpRequest()
    Returns the HTTP request corresponding to the current response.

  - ### getTable

    AdaptationTable getTable()
    Returns the current table.

  - ### getTableFilter

    AdaptationFilter getTableFilter()
    Returns the filter currently set on the table, `null` if no filter has been set.

  - ### getRenderingMode

    UIRenderingMode getRenderingMode()
    Returns the current rendering mode (`edit` or `print`).

  - ### getValue

    Object getValue(Path aPath)
    Returns the value at the specified path.
    Parameters:
      `aPath` - the location of the target, relative to the current node (to maximize reusability, it is recommended to use a relative path).

  - ### getValueContext

    ValueContext getValueContext()
    Returns the value context of the current node.

  - ### getValueContext

    ValueContext getValueContext(Path aPath)
    Returns the validation context of the specified node.